From ed989fa0005d7ad557bb73fb9b101141fad6e44b Mon Sep 17 00:00:00 2001 From: Roberto Alsina Date: Sun, 24 Jul 2022 17:36:12 -0300 Subject: [PATCH] * Wider / deeper channel to slide the plugs in * Had miscalculated bezels, it seems. --- monitor/case.py | 4 ++-- monitor/parameters.py | 9 +++------ 2 files changed, 5 insertions(+), 8 deletions(-) diff --git a/monitor/case.py b/monitor/case.py index 7964cee..1dfce0a 100644 --- a/monitor/case.py +++ b/monitor/case.py @@ -11,7 +11,7 @@ board_cutout = ( cq.Sketch().trapezoid(55, 50, 90, mode="a").reset().vertices("Z") .workplane(centerOption="CenterOfBoundBox") - .center((width - screen_w) / 2 - screen_left_margin, 0) + .center((width - screen_w) / 2 - bezel_left, 0) .placeSketch(screen_cutout) .cutBlind(-shell_t) # Cutout for segment breaks diff --git a/monitor/parameters.py b/monitor/parameters.py index f6e39c6..d0fe1e9 100644 --- a/monitor/parameters.py +++ b/monitor/parameters.py @@ -5,23 +5,20 @@ shell_t = 3.5 screen_w = 223 screen_l = 57 # Distance from the left of the case to screen cutout -screen_left_margin = 7 + shell_t # (7 is bezel width on that side) +bezel_left = 7 # (7 is bezel width on that side) +bezel_right = 3 # width, length, height INCLUDING_BEZEL display_w = 233 display_l = 65 # This is the general height without the board, that's handled separately display_h = 5 -width = 250 +width = shell_t + bezel_left + screen_w + bezel_right + shell_t height = display_h + 2 * shell_t + 1 length = display_l + 2 * shell_t + 1 fillet_s = 2 -# Distance from the left of the case to display end -display_left_margin = screen_left_margin - 7 -# Distance from the right of the case to display end -display_right_margin = width - display_left_margin - display_w # Distance from the top of the case to display top display_top_margin = (length - display_l) / 2 display_bottom_margin = display_top_margin # Symmetrical